/* [ROOT] */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
}

html {
    width: 100%;
    height: 100%;
    font-size: clamp(10px, 0.75vw, 18px);

    background: rgb(var(--bg-dark));
    line-height: 1;
}

html::-webkit-scrollbar {
    display: none;
}

@media (min-aspect-ratio: 16/9) {
    html {
        font-size: clamp(10px, 0.75vh, 18px);
    }
}

@media (min-width: 1921px) {
    html {
        font-size: clamp(12px, 0.9vw, 22px);
    }
}

@media (min-width: 1921px) and (min-aspect-ratio: 16/9) {
    html {
        font-size: clamp(12px, 0.9vh, 22px);
    }
}

body {
    width: 100%;
    min-height: 100vh;

    display: flex;
    align-items: center;
    flex-direction: column;

    overflow: hidden;
    user-select: none;
    scrollbar-width: none;

    overflow-x: hidden;
    overflow-y: scroll;

    pointer-events: all;
}

/* [ROOT] */

/* [ALIAS] */

.pointer {
    cursor: pointer;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.bg-cover {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.bg-contain {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

.flex-dir-col {
    flex-direction: column;
}

.flex-c-c {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flex-c-fs {
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

.flex-fs-c {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.flex-fs-fs {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
}

.flex-c-fe {
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.flex-fe-c {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.flex-fe-fe {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.flex-fe-fs {
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
}

.flex-fs-fe {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
}

.flex-spbtwn-c {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.flex-spbtwn-fs {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.flex-spbtwn-fe {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

/* [ALIAS] */

/* [INPUTS] */

input,
textarea {
    outline: none !important;
    stroke: none !important;
    resize: none !important;

    border: none;
    background: none;
}

textarea {
    background: transparent !important;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* [INPUTS] */

/* [BUTTONS] */

button {
    cursor: pointer;
    white-space: nowrap;

    border: none;
    outline: none;
    stroke: none;

    background: none;
}

/* [BUTTONS] */